Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 385641 - net-proxy/squid-3.1.15 init script should change opts variable to use either extra_commands or extra_started_commands
Summary: net-proxy/squid-3.1.15 init script should change opts variable to use either ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Network Proxy Developers (OBSOLETE)
URL: http://sources.gentoo.org/cgi-bin/vie...
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-10-04 17:56 UTC by Martin von Gagern
Modified: 2011-10-23 18:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
squid.initd.patch (squid.initd.patch,366 bytes, patch)
2011-10-05 10:36 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2011-10-04 17:56:56 UTC
The net-proxy/squid-3.1.15 init script uses variables deprecated by sys-apps/openrc-0.9.x. See bug #381895 for details.

 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Starting squid ...                                    [ ok ]
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-10-05 10:36:21 UTC
Created attachment 288841 [details, diff]
squid.initd.patch

This patch should do it...
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2011-10-23 18:45:26 UTC
+  23 Oct 2011; Lars Wendler <polynomial-c@gentoo.org> files/squid.initd:
+  non-maintainer commit: Replaced deprecated opts variable in init script (bug
+  #385641).
+